| Wireshark 4.7.3 The Wireshark network protocol analyzer

Loading...
Searching...
No Matches
Public Slots | Public Member Functions | List of all members
ProfileSwitcher Class Reference

Monitors incoming packets and automatically switches the active configuration profile when a packet matches a profile's trigger filter. More...

`#include <profile_switcher.h>`

Inheritance diagram for ProfileSwitcher:

## Public Slots
void | captureEventHandler (CaptureEvent ev)
| Handles capture lifecycle events (e.g. file open/close, capture start/stop) and updates internal state to reflect whether switching is appropriate.
void | checkPacket (capture_file *cap_file, frame_data *fdata, qsizetype row)
| Evaluates a single packet against all registered profile filters and switches the active profile if a match is found.

## Public Member Functions
| ProfileSwitcher (QObject *parent=nullptr)
| Constructs a ProfileSwitcher with no active filters.

## Detailed Description

Monitors incoming packets and automatically switches the active configuration profile when a packet matches a profile's trigger filter.

## Constructor & Destructor Documentation

## ◆ ProfileSwitcher()

ProfileSwitcher::ProfileSwitcher | ( | QObject * | parent = nullptr | ) |
| explicit

Constructs a ProfileSwitcher with no active filters.

Parameters

  parent | Optional parent QObject.

## Member Function Documentation

## ◆ captureEventHandler

void ProfileSwitcher::captureEventHandler | ( | CaptureEvent | ev | ) |
| slot

Handles capture lifecycle events (e.g. file open/close, capture start/stop) and updates internal state to reflect whether switching is appropriate.

Parameters

  ev | The capture event to process.

## ◆ checkPacket

void ProfileSwitcher::checkPacket | ( | capture_file * | cap_file,
|  | frame_data * | fdata,
|  | qsizetype | row )
| slot

Evaluates a single packet against all registered profile filters and switches the active profile if a match is found.

Parameters

  cap_file | Capture file that owns the packet.
  fdata | Frame metadata for the packet to evaluate.
  row | Row index of the packet in the packet list model.

The documentation for this class was generated from the following files:

- /builds/wireshark/wireshark/ui/qt/utils/profile_switcher.h
- /builds/wireshark/wireshark/ui/qt/utils/profile_switcher.cpp